Автор Тема: [РЕШЕНО]Не запускается приложение GoogleEarth  (Прочитано 2968 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Сергей Григорьевич

Добрый день, коллеги.
Решил поиграть в географию.
Скачал c оф.сайта файл GoogleEarthLinux.bin, установил.
В приложениях появился ярлык. Запускаю его и ничего не происходит.
Что не так ?
« Последнее редактирование: 01 Декабря 2015, 22:06:38 от Сергей Григорьевич »
 


Оффлайн Сергей Григорьевич

Re: Не запускается приложение GoogleEarth
« Ответ #2 : 30 Ноября 2015, 07:56:04 »
Сначала скачал GoogleEarthLinux.bin, установил, появился ярлык в приложениях, но не запускается.
Затем скачал google-earth-stable_current_i386.deb, с той же ссылки, которая у вас указана.
При установке (dpkg -i google-earth-stable_current_i386.deb) потребовался пакет:
"google-earth-stable зависит от lsb-core (>= 3.2), однако:  Пакет lsb-core пока не настроен."
Скачал пакет lsb-core_4.1_Debian8_deb7u1_i386.deb.
При установке:
"dpkg: зависимости пакетов не позволяют настроить пакет lsb-core:
 lsb-core зависит от binutils, однако:
  Пакет binutils не установлен.
 lsb-core зависит от ed, однако:
  Пакет ed не установлен.
 lsb-core зависит от libc6-dev | libc-dev, однако:
  Пакет libc6-dev не установлен.
  Пакет libc-dev не установлен.
 lsb-core зависит от make, однако:
  Пакет make не установлен.
 lsb-core зависит от pax, однако:
  Пакет pax не установлен.
 lsb-core зависит от rsync, однако:
  Пакет rsync не установлен.
 lsb-core зависит от alien (>= 8.36), однако:
  Пакет alien не установлен.
 lsb-core зависит от lsb-security (>= 4.1+Debian8+deb7u1), однако:
  Пакет lsb-security не установлен.

dpkg: ошибка при обработке параметра lsb-core (--install):
 проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для man-db …
При обработке следующих пакетов произошли ошибки:
 lsb-core"
  Качать и устанавливать по отдельности пакеты, от которых зависит lsb-core ?
Или есть более простой способ ?
 

Оффлайн Leo

Re: Не запускается приложение GoogleEarth
« Ответ #3 : 30 Ноября 2015, 08:59:10 »
А потому что lsb-core не надо было скачивать - надо было поставить из репозитория вот так:
aptitude install lsb-core
Cообщение объединено 30 Ноября 2015, 09:00:07
p.s.: Вывод консольных программ у нас принято заправлять в тэги для более удобного к просмотру и чтению вида.

Cообщение объединено 30 Ноября 2015, 09:02:51
Специально скачал, установил и проверил как работает Google Earth - хорошо работает. У меня Debian Jessie, i386. Единственное что не работает - просмотр в программе фотографий привязанных к локации... почему-то... но это наверно поправимо.
« Последнее редактирование: 30 Ноября 2015, 09:02:51 от Leo »
 

Оффлайн ferum

Re: Не запускается приложение GoogleEarth
« Ответ #4 : 30 Ноября 2015, 09:03:03 »
 Сейчас сначала необходимо удалить google-earth-stable_current_i386.deb иначе скорее всего произойдёт конфликт с бинарным файлом который уже установлен.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн Сергей Григорьевич

Re: Не запускается приложение GoogleEarth
« Ответ #5 : 30 Ноября 2015, 20:52:39 »
Не хочет устанавливать lsb-core:

root@debian-dom:/home/serg# aptitude install lsb-core
Нет подходящей версии для lsb-core               
Нет подходящей версии для lsb-core
Ни одного пакета не будет установлено, обновлено или удалено.
0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 43 пакетов не обновлено.
Необходимо получить 0 B архивов. После распаковки 0 B будет занято.


Cообщение объединено 30 Ноября 2015, 21:05:56
Репозитории из sources.list
deb http://ftp.ru.debian.org/debian/ jessie-updates main contrib non-free
deb http://ftp.ru.debian.org/debian/ jessie-backports main contrib non-free
« Последнее редактирование: 30 Ноября 2015, 21:05:56 от Сергей Григорьевич »
 

Оффлайн Leo

Re: Не запускается приложение GoogleEarth
« Ответ #6 : 30 Ноября 2015, 23:09:38 »
Нет подходящей версии для lsb-core 
Не верю.
Возьмите отсюда sources.list.
Затем выполните
aptitude update; aptitude install lsb-core

Оффлайн Сергей Григорьевич

Re: Не запускается приложение GoogleEarth
« Ответ #7 : 01 Декабря 2015, 08:28:16 »
Продолжаем... :)
Подключил репозитории по вашей ссылке. Lsb-core нашлось.
Обновил aptitude -u, установил через Synaptic, всё прекрасно.
Далее скачал пакет и установил его:
root@debian-dom:/home/serg/Загрузки/Earth# dpkg -i google-earth-stable_current_i386.deb
Выбор ранее не выбранного пакета google-earth-stable.
(Чтение базы данных … на данный момент установлено 152662 файла и каталога.)
Распаковывается пакет google-earth-stable (из файла google-earth-stable_current_i386.deb) …
Настраивается пакет google-earth-stable (7.1.4.1529-r0) …
Обрабатываются триггеры для menu …
Обрабатываются триггеры для man-db …
Обрабатываются триггеры для desktop-file-utils …
Обрабатываются триггеры для gnome-menus …

Тоже, вроде бы всё хорошо, но ярлык GoogleEarth нигде не появился. :(
 

Оффлайн Leo

Re: Не запускается приложение GoogleEarth
« Ответ #8 : 01 Декабря 2015, 08:33:05 »
Не знаю как в Гноме, у меня в xfce4 - она появилась в Меню->Интернет->Google Earth
Можно также воспользоваться штатным поиском по программам, ну или запустить вручную выполнив google-earth в терминале, например.

Оффлайн Сергей Григорьевич

Re: Не запускается приложение GoogleEarth
« Ответ #9 : 01 Декабря 2015, 08:39:26 »
Опа !  А в терминале запустился. Огромное спасибо, Leo.
А можно ли создать ярлык ?  Не знаю, как в гноме это делается.
 

Оффлайн Leo

Re: Не запускается приложение GoogleEarth
« Ответ #10 : 01 Декабря 2015, 09:33:48 »
Это уже другая тема, поправьте заголовок этой темы добавив "[РЕШЕНО]" в начало, если не сложно.

Оффлайн Сергей Григорьевич

Re: [РЕШЕНО]Не запускается приложение GoogleEarth
« Ответ #11 : 01 Декабря 2015, 22:55:15 »
И ярлык прилепил. Всё замечательно. Еще раз спасибо, Лео.
 

Теги: